RestoreRedundancyResults.Status (Apache Geode 1.13.6)
Date: 2021-12-14

org.apache.geode.management.runtime

## Enum RestoreRedundancyResults.Status

- java.lang.Object
- - java.lang.Enum<RestoreRedundancyResults.Status>
  - - org.apache.geode.management.runtime.RestoreRedundancyResults.Status

- All Implemented Interfaces:
    Serializable, Comparable<RestoreRedundancyResults.Status>
  Enclosing interface:
    RestoreRedundancyResults

      public static enum RestoreRedundancyResults.Status
      extends Enum<RestoreRedundancyResults.Status>

  `SUCCESS` is defined as every included region having fully satisfied redundancy. `FAILURE` is defined as at least one region that is configured to have redundant copies having fewer than its configured number of redundant copies.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FAILURE`
    `SUCCESS`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RestoreRedundancyResults.Status` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RestoreRedundancyResults.Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUCCESS

          public static final RestoreRedundancyResults.Status SUCCESS

    - #### FAILURE

          public static final RestoreRedundancyResults.Status FAILURE

  - ### Method Detail

    - #### values

          public static RestoreRedundancyResults.Status[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RestoreRedundancyResults.Status c : RestoreRedundancyResults.Status.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RestoreRedundancyResults.Status valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null